org.encog.neural.neat.training

## Enum NEATInnovationType

- java.lang.Object
- - java.lang.Enum<NEATInnovationType>
  - - org.encog.neural.neat.training.NEATInnovationType

- All Implemented Interfaces:
    Serializable, Comparable<NEATInnovationType>

      public enum NEATInnovationType
      extends Enum<NEATInnovationType>

  The type of NEAT innovation. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NewLink` A new link.
    `NewNeuron` A new neuron.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NEATInnovationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NEATInnovationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NewLink

          public static final NEATInnovationType NewLink

      A new link.

    - #### NewNeuron

          public static final NEATInnovationType NewNeuron

      A new neuron.

  - ### Method Detail

    - #### values

          public static NEATInnovationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NEATInnovationType c : NEATInnovationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NEATInnovationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.